*********************************************************************
Appian Locust Library documentation
*********************************************************************

.. sidebar:: About Appian-Locust

    * **appian-locust** is a tool for load and performance testing Appian. It is a wrapper around the `Locust <https://docs.locust.io/en/stable/>`__ load driving framework to enable driving load against Appian instance.
    * `View/contribute on gitlab <https://gitlab.com/appian-oss/appian-locust>`__

Getting Started
---------------

.. toctree::
    :maxdepth: 2

    quick_start
    what_is_appian_locust

Using Locust
------------

.. toctree::
    :maxdepth: 2

    installation
    basic_usage
    how_to_run_locust
    appian_locust_records_example

Advanced Usage
---------------

.. toctree::
    :maxdepth: 2

    debugging
    advanced_examples
    limitations
    contributing

API
-----------

.. toctree::
    :maxdepth: 4

    appian_locust

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
